from fastapi import APIRouter, Depends
from typing import List
from schemas.contact_form import ContactFormSchema
from helpers.contact_form_helpers import get_all_contact_forms
from sqlalchemy.orm import Session
from core.database import get_db

router = APIRouter()

@router.get("/contact-form", response_model=List[ContactFormSchema], status_code=200)
def get_contact_forms(db: Session = Depends(get_db)):
    contact_forms = get_all_contact_forms(db)
    return contact_forms